﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace DcnSwSmd.Collections
{
    class Requests : INotifyPropertyChanged
    { /* 
       if (!dtRequests.Columns.Contains("Request"))
            {
                dtRequests.Columns.Add("Request", typeof(string));
            }
            if (!dtRequests.Columns.Contains("SeatId"))
            {
                dtRequests.Columns.Add("SeatId", typeof(string));
            }
            if (!dtRequests.Columns.Contains("SeatType"))
            {
                dtRequests.Columns.Add("SeatType", typeof(string));
            }
            if (!dtRequests.Columns.Contains("IsResponse"))
            {
                dtRequests.Columns.Add("IsResponse", typeof(bool));
            }
       */

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string name)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        #region Properties

        public string Request
        {
            get
            {
                return request;
            }
            set
            {
                request = value;
                this.NotifyPropertyChanged("Request");
            }
        }

        public string SeatId
        {
            get
            {
                return seatId;
            }
            set
            {
                seatId = value;
                this.NotifyPropertyChanged("SeatId");
            }

        }

        public string SeatType
        {
            get
            {
                return seatType;
            }
            set
            {
                seatType = value;
                this.NotifyPropertyChanged("SeatType");
            }
        }

        public bool IsResponse
        {
            get
            {
                return isResponse;
            }
            set
            {
                isResponse = value;
                this.NotifyPropertyChanged("Request");
            }
        }
        
        #endregion
        
        #region Fields
        
        private string request;
        private string seatId;
        private string seatType;
        private bool isResponse;
        
        #endregion
    }
}
