﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace DcnSwSmd.Collections
{
    class Speaker : INotifyPropertyChanged
    {
        /*if (!dtSpeakers.Columns.Contains("Speakers"))
        {
            dtSpeakers.Columns.Add("Speakers", typeof(string));
        }

        if (!dtSpeakers.Columns.Contains("Remaining Time"))
        {
            dtSpeakers.Columns.Add("Remaining Time", typeof(string));
        }

        if (!dtSpeakers.Columns.Contains("RemainingSpeechTime"))
        {
            dtSpeakers.Columns.Add("RemainingSpeechTime", typeof(int));
        }
        if (!dtSpeakers.Columns.Contains("ParticipantId"))
        {
            dtSpeakers.Columns.Add("ParticipantId", typeof(string));
        }
        if (!dtSpeakers.Columns.Contains("SeatId"))
        {
            dtSpeakers.Columns.Add("SeatId", typeof(string));
        }
        if (!dtSpeakers.Columns.Contains("MicroPhoneActiveAndRunning"))
        {
            dtSpeakers.Columns.Add("MicroPhoneActiveAndRunning", typeof(bool));
        }
        if (!dtSpeakers.Columns.Contains("SeatType"))
        {
            dtSpeakers.Columns.Add("SeatType", typeof(string));
        }
        if (!dtSpeakers.Columns.Contains("InitialRemSpeechTime"))
        {
            dtSpeakers.Columns.Add("InitialRemSpeechTime");
        }
        if (!dtSpeakers.Columns.Contains("IsActive"))
        {
            dtSpeakers.Columns.Add("IsActive");
        }*/

        #region Fields

        private string speakers;
        private string remaining_Time;
        private string seatType;

        private long remainingSpeechTime;
        private int participantId;
        private int seatId;
        private int initialremSpeechTime;

        private bool microphoneActiveAndRunning;
        private bool isActive;
        private bool isSpecialStation;

        
        #endregion
        #region Properties

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(string name)
        {
            if(PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        public bool IsSpecialStation
        {
            get
            {
                return isSpecialStation; 
            }
            set
            {
                isSpecialStation = value;
                this.NotifyPropertyChanged("Speaker");
            }
        }
        public string Speakers
        {
            get
            {
                return speakers;
            }
            set
            {
                speakers = value;
                this.NotifyPropertyChanged("Speaker");
            }
        }

        public string Remaining_Time
        {
            get
            {
                return remaining_Time;
            }
            set
            {
                remaining_Time = value;
                this.NotifyPropertyChanged("Remaining_Time");
            }
        }

        public string SeatType
        {
            get
            {
                return seatType;
            }
            set
            {
                seatType = value;
                this.NotifyPropertyChanged("SeatType");
            }
        }

        public long RemainingSpeechTime
        {
            get
            {
                return remainingSpeechTime;
            }
            set
            {
                remainingSpeechTime = value;
                this.NotifyPropertyChanged("RemainingSpeechTime");
            }
        }

        public int ParticcipantId
        {
            get
            {
                return participantId;
            }
            set
            {
                participantId = value;
                this.NotifyPropertyChanged("ParticcipantId");
            }
        }

        public int SeatId
        {
            get
            {
                return seatId;
            }
            set
            {
                seatId = value;
                this.NotifyPropertyChanged("SeatId");
            }
        }

        public int InitialRemSpeechTime
        {
            get
            {
                return initialremSpeechTime;
            }
            set
            {
                initialremSpeechTime = value;
                this.NotifyPropertyChanged("InitialRemSpeechTime");
            }
        }

        public bool MicrophoneActiveAndRunning
        {
            get
            {
                return microphoneActiveAndRunning;
            }
            set
            {
                microphoneActiveAndRunning = value;
                this.NotifyPropertyChanged("MicrophoneActiveAndRunning");
            }
        }

        public bool IsActive
        {
            get
            {
                return isActive;
            }
            set
            {
                isActive = value;
                this.NotifyPropertyChanged("IsActive");
            }
        }

        #endregion
    }
}
