#region Copyright Robert Bosch GmbH, 2009
// Bosch Security Systems B.V.
// BU Communication Systems - Breda, The Netherlands
//
// Project             : SandStorm
// Module              : Services
// File name  $Workfile:   ActiveResponseListContainer.cs  $
//      Last Save $Date:   Oct 14 2009 17:19:26  $
//            $Revision:   1.3  $
//         Last $Author:   sr82bda  $
// Creation Date       : 22 Jul 2008
// First Author        : JP van Mackelenbergh
//
// Description         :    This contains a list of participants which are 
//                          currently actively responding to a speaker
//
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Reflection;

namespace DcnSwSmd.TraceListeners.Data
{
    [Obfuscation]
    [XmlRootAttribute(ElementName = "ActiveResponseListContainer", IsNullable = false)]
    public class ActiveResponseListContainer : ListContainer
    {
        // No implementation required, this class is only used as a 
        // "placeholder" for the xml stuff.
    }
}
